// AnimationListener.java
//
// Informatics 45 Spring 2010
// Code Example: Ball Animation (Versison 1)
//
// This interface represents "events" that can be sent from the animation
// back to the GUI, so that the GUI will know when the animation needs to
// be redrawn, when it has started, and when it has stopped.

package inf45.spring2010.examples.animation1.model;


public interface AnimationListener
{
	void animationStarted();
	void animationUpdated(AnimationState newState);
	void animationStopped();
}
